package com.dxhy.core.job.service;

import java.util.Map;

/**
 * 统计接口 -- 以及确认接口
 *
 * @author futianhao
 */

public interface ApplyService {
    /**
     * 查询申请数据
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return void
     */
    void getDataForApply();

    /**
     * 获取统计结果
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return void
     */
    void getApplyStatResult();

    /**
     * 流水号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return java.lang.String
     */
    String makeExchangeId();

    /**
     * 获取统计确认数据
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return void
     */
    void getDataForConfrim();

    /**
     * 获取统计确认结果
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return void
     */
    void getApplyConfirmResult();

    /**
     * 获取历史信息
     *
     * @author 陈刚扬
     * @date 2020/10/30
     */
    void getHistoryMsg();

    /**
     * 设置密码
     *
     * @param params
     *            密码信息
     * @return 返回
     */
    String setPwd(Map<String, String> params);

    /**
     * 重置密码
     *
     * @param params
     *            密码信息
     * @return 返回
     */
    String resetPwd(Map<String, String> params);
}
